@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
  font-family: "Poppins", serif;
  text-shadow: 0px 0px 10px black;
  transition: 0.2s;
  outline: none;
  border: none;
  user-select: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: white;
  text-rendering: optimizeLegibility;
}
body {
  background: #121212;
  height: 100vh;
}

.inp-container {
  width: 100%;
  display: flex;
  justify-content: space-between;
  padding: 15px 3%;
  gap: 10px;
  h1 {
    font-size: 2rem;
  }
  span {
    width: 100%;
    gap: 2px;
    display: flex;
    max-width: 400px;
    align-items: center;
    justify-content: end;
  }
  input {
    background: rgba(255, 255, 255, 0.178);
    border: 1px solid rgba(255, 255, 255, 0.137);
    border-radius: 100px;
    height: 40px;
    width: 70%;
    max-width: 250px;
    padding-left: 10px;
    font-size: 18px;
  }
  button {
    height: 40px;
    width: 30%;
    border-radius: 100px;
    max-width: 100px;
    font-size: 15px;
    background: #ff9000;
  }
}

.container {
  display: flex;
  gap: 10px;
  flex-wrap: wrap;
  width: 100%;
  padding: 15px 3%;

  .img-container {
    width: 100%;
    max-width: 350px;
    aspect-ratio: 1;
    border-radius: 10px;
    position: relative;
    background: #000;
    overflow: hidden;
    .poster {
      width: 100%;
    }
    &::before {
      content: "";
      width: 100%;
      height: 100%;
      position: absolute;
      top: 0;
      left: 0;
      background: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0),
        rgba(0, 0, 0, 0.219),
        rgba(0, 0, 0, 0.384),
        rgba(0, 0, 0, 0.815),
        rgba(0, 0, 0, 1)
      );
    }
  }

  .movie-detail-container {
    width: 100%;
    max-width: 550px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    .add-info {
      display: flex;
      justify-content: space-between;
      align-items: center;
      .users-con {
        border-radius: 6px;
        padding: 5px;
        background: #ff9000;
        font-weight: bold;
        .users,
        i {
          color: #000;
        }
      }
    }
    .movie-description {
      text-align: justify;
      margin: 10px 0px 10px 0px;
    }
    .tagline-con {
      display: flex;
      align-items: center;
      .tagline,
      i {
        color: #ff9000;
        font-weight: bold;
      }
    }
    .rating {
      width: 100%;
      display: flex;
      align-items: center;
      gap: 10px;
      .bar {
        height: 10px;
        background-color: #5c3600;
        width: calc(100% - 10px);
        border-radius: 100px;
        .bar-line {
          border-radius: 100px;
          background-color: #ff9000;
          width: 0%;
          height: 100%;
        }
      }
      .rate-con {
        display: flex;
        align-items: center;
        border-radius: 6px;
        padding: 5px;
        background: #ff9000;
        font-weight: bold;
        span,
        i {
          color: #000;
        }
      }
    }
    .cast-container {
      width: 100%;
      height: fit-content;
      display: flex;
      gap: 10px;
      margin: 10px 0px 0px 0px;

      .cst {
        width: 25%;
        overflow: hidden;
        &:hover {
          scale: 1.05;
        }
        &:hover small {
          color: #ff9000;
        }
        img {
          width: 100%;
          border-radius: 10px;
        }
        small {
          text-wrap: nowrap;
          font-size: 10px;
        }
      }
    }
  }
}
.slider-container {
  width: 100%;
  padding: 15px 3%;
  overflow: hidden;
  height: 280px;
  position: relative;
  white-space: nowrap;
  .slider {
    display: flex;
    width: max-content;
    border-radius: 10px;
    height: 250px;
    position: relative;
    overflow: hidden;
    animation: scroll 20s linear infinite;
    &:hover {
      animation-play-state: paused;
    }
    .slide {
      width: 200px;
      height: 250px;
      background-color: #ff9000;
      border-radius: 10px;
      margin: 0px 5px;
      overflow: hidden;
      &:hover {
        width: 300px;
      }
      img {
        display: flex;
        width: 100%;
      }
    }
  }
}

@keyframes scroll {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  }
}

.err-msg-con {
  position: absolute;
  top: -150px;
  left: 50%;
  transform: translate(-50%, 0%);
  max-width: 400px;
  width: 95%;
  height: 50px;
  border-radius: 10px;
  background: #ff9000;
  border: 1px solid rgba(255, 255, 255, 0.288);
  display: flex;
  visibility: hidden;
  align-items: center;
  justify-content: center;
  padding: 20px;
  gap: 10px;
  animation: show 0.3s forwards;

  .bx {
    font-size: 32px;
  }

  .err-msg {
    font-size: 18px;
    font-weight: bold;
  }
}

.hide {
  animation: hide 0.3s forwards;
}

.show {
  animation: show 0.3s forwards;
}

@keyframes show {
  0% {
    top: -150px;
  }

  100% {
    top: 10px;
  }
}
@keyframes hide {
  0% {
    top: 10px;
  }
  100% {
    top: -150px;
  }
}

.backdrop-picture {
  filter: brightness(0.3) blur(2px);
  position: fixed;
  z-index: -1;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100dvh;
  object-fit: cover;
}
